
package com.tmerclub.cloud.supplier.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 银行卡信息VO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierBankCardVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "银行卡自增id")
    private Long supplierBankCardId;

    @Schema(description = "供应商ID")
    private Long supplierId;

    @Schema(description = "银行名称")
    private String bankName;

    @Schema(description = "银行开户行")
    private String openingBank;

    @Schema(description = "收款方户名")
    private String recipientName;

    @Schema(description = "收款方账户")
    private String cardNo;

    @Schema(description = "是否默认 1:默认 0:非默认")
    private Integer isDefault;

    @Schema(description = "支行名称")
    private String branchName;

    @Schema(description = "1.正常，-1.已删除")
    private Integer status;

    public Long getSupplierBankCardId() {
        return supplierBankCardId;
    }

    public void setSupplierBankCardId(Long supplierBankCardId) {
        this.supplierBankCardId = supplierBankCardId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getOpeningBank() {
        return openingBank;
    }

    public void setOpeningBank(String openingBank) {
        this.openingBank = openingBank;
    }

    public String getRecipientName() {
        return recipientName;
    }

    public void setRecipientName(String recipientName) {
        this.recipientName = recipientName;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public String getBranchName() {
        return branchName;
    }

    public void setBranchName(String branchName) {
        this.branchName = branchName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "SupplierBankCardVO{" +
                "supplierBankCardId=" + supplierBankCardId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",supplierId=" + supplierId +
                ",bankName=" + bankName +
                ",openingBank=" + openingBank +
                ",recipientName=" + recipientName +
                ",cardNo=" + cardNo +
                ",isDefault=" + isDefault +
                ",branchName=" + branchName +
                ",status=" + status +
                '}';
    }
}
